import greenfoot.*;

/**
 * @author Ben Mullins
 * @oldAuthors Ben Mullins, Dylan Wilson, Chris Deneweth, Suphat Yoopensuk
 * 
 * @version 1.2.1
 * 
 * NOTE: Any version after 1.0b was created by Ben Mullins because this project was originally a CSC 101 project where there was a team.
 *       Afterwards, I continued to develop the game in my free time.
 *       
 * Also note that the changelog has been moved to the READ ME txt file because it was starting to take up a lot of space.
 */

public class Flag extends Actor {

    private GreenfootImage image1, image2;
    private long imageSwapCounter;
    private int currentImage;
    
    public Flag() {
        
        image1 = new GreenfootImage("Flag.png");
        image2 = new GreenfootImage("Flag2.png");
        
        imageSwapCounter = System.currentTimeMillis();
        currentImage = 0;
        
        setImage(image1);
    }
    
    public void act() {
        
        animate();
    }
    
    public void animate() {
    
        if(System.currentTimeMillis() - imageSwapCounter > 250) {
            imageSwapCounter = System.currentTimeMillis();
            currentImage++;
            if(currentImage > 1) {
                currentImage = 0;
            }
            if(currentImage == 0) {
                setImage(image1);
            } else {
                setImage(image2);
            }
        }
    }
}
